> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maesn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tolerance limits

## Field support per integration

<AccordionGroup>
  <Accordion title="Business Central" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/businesscentral.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=9cdc50aa9f467133e9e9372eab83f38b" width="24" height="24" data-path="logo/businesscentral.svg">
    <Warning>
      This endpoint needs the Maesn app to be installed in the Business Central environment. If the app is not installed, Business Central returns an error.
      Please get in touch with your contact person at maesn to get the app.
    </Warning>

    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameters `environmentName` and `companyId` are correctly populated.
      You can obtain these values by using the `GET Environments` and `GET Companies` endpoints available under the Authentication section.
    </Note>

    Query parameters:

    <ResponseField name="limit" type="enum">
      Available options: `5`, `10`, `20`, `50`, `100`
    </ResponseField>

    <ResponseField name="page" type="number" />

    <ResponseField name="filter" type="string">
      <Expandable title="object">
        <ResponseField name="lastModifiedAt" type="string">
          Filter by last modified date.<br />
          Example: `lastModifiedAt=2021-01-01T00:00:00Z`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="rawData" type="boolean" />

    Supported response fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="currency" type="string">
      For details visit the [`Standardized Data`](/standardization) section.
    </ResponseField>

    <ResponseField name="toleranceAmount" type="number" />

    <ResponseField name="tolerancePercent" type="number" />

    <ResponseField name="updatedDate" type="string">
      For details visit the [`Standardized Data`](/standardization) section.
    </ResponseField>
  </Accordion>
</AccordionGroup>


## OpenAPI

````yaml get /accounting/toleranceLimits
openapi: 3.0.0
info:
  title: Maesn unified API
  description: The Maesn unified API description
  version: '1.0'
  contact: {}
servers:
  - url: https://api.maesn.dev
security: []
tags:
  - name: maesn
    description: ''
paths:
  /accounting/toleranceLimits:
    get:
      tags:
        - accounting
      operationId: getToleranceLimits
      parameters:
        - name: page
          required: false
          in: query
          schema:
            type: number
        - name: limit
          required: false
          in: query
          schema:
            enum:
              - 5
              - 10
              - 20
              - 50
              - 100
            type: number
        - name: companyId
          required: false
          in: query
          schema:
            type: string
        - name: environmentName
          in: query
          schema:
            type: string
          required: false
        - name: lastModifiedAt
          required: false
          in: query
          schema:
            type: string
        - name: rawData
          required: false
          in: query
          schema:
            type: boolean
        - name: X-API-KEY
          description: API key
          in: header
          schema:
            type: string
            example: example value
          required: true
        - name: X-ACCOUNT-KEY
          description: Account key
          in: header
          schema:
            type: string
            example: example value
          required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponseDto'
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/ToleranceLimitResponseDto'
components:
  schemas:
    BaseResponseDto:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/MetaResponse'
        data:
          oneOf:
            - type: object
            - type: array
    ToleranceLimitResponseDto:
      type: object
      properties:
        id:
          type: string
          example: eaa91b31-5be6-ee11-a201-6045bde98d28
        currency:
          type: string
          example: EUR
        toleranceAmount:
          type: number
          example: 0
        tolerancePercent:
          type: number
          example: 0
        updatedDate:
          type: string
          example: '2024-12-10T00:55:18.75Z'
    MetaResponse:
      type: object
      properties:
        warnings:
          type: array
          items:
            type: string
            example: Field not used by target system
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
    PaginationResponse:
      type: object
      properties:
        total:
          type: number
          example: 125
        perPage:
          type: number
          example: 50
        currentPage:
          type: number
          example: 1
        totalPages:
          type: number
          example: 3

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.